/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS and SCSS file within this directory, lib/assets/stylesheets, vendor/assets/stylesheets,
 * or any plugin's vendor/assets/stylesheets directory can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any other CSS/SCSS
 * files in this directory. Styles in this file should be added after the last require_* statement.
 * It is generally better to create a new file per style scope.
 *
 *= require select2
 *= require select2-bootstrap
 *= require_tree .
 *= require_self
 */

@import "bootstrap-sprockets";
@import "bootstrap";

#selectCategory{
  width:200px;
}

#selectDirector{
  width:200px;
}

#selectActors{
  width:200px;
}

@mixin background-tile {
  box-sizing: border-box;
  box-shadow: 3px 3px 5px 6px #100;
  background-color: #fff;
  border-radius: 5px;
  padding: 1.5em 1.25em;
}

body {
  background: url(backround-red.jpg) no-repeat center center fixed; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.review_title {
  margin: 0 0 20px 0;
}

.reviews {
  @include background-tile;
  margin-top: 40px;

  h1 {
    margin-top: 40px;
    margin-bottom: 15px;
    font-size: 2em;
  }

  padding: 0 1em;
  border-bottom: 1px solid #EAEAEA;
  .star-rating {
    padding-bottom: 8px;
  }
}

.movie-info {
  @include background-tile;
}

.actor-info, .director-info {
  @include background-tile;
}

.actor-biography, .director-biography {
  @include background-tile;
  margin-top: 40px;
}

.actor-list-movies, .director-list-movies, .main-list {
  @include background-tile;
  margin-top: 40px;
}

.jumbotron {
  box-sizing: border-box;
  box-shadow: 3px 3px 5px 6px #100;
  background-color: #eee;
}

.search-title, .want-title {
  @include background-tile;
}

.search-movies, .search-actors {
  @include background-tile;
  margin-top: 40px;
}

.want-to-see {
  @include background-tile;
  margin-top: 40px;
  margin-left: 50%;
  transform: translate(-50%, 0%);
}

.dropdown-menu > .active > a {
  background-color: #a30000;
  color: #fff;
}

.dropdown-menu > li > a:hover {
    background-color: darken(#a30000, 5%);
    color: #fff;
}


.alert-info {
    color:#555;
    border-radius:10px;
    font-family:Tahoma,Geneva,Arial,sans-serif;font-size:13px;
    padding:10px 10px 10px 36px;
    margin:10px;
}

.alert-info span {
    font-weight:bold;
    text-transform:uppercase;
}

.error {
    background:#ffecec url('error.png') no-repeat 10px 50%;
    border:1px solid #f5aca6;
}
.success {
    background:#e9ffd9 url('success.png') no-repeat 10px 50%;
    border:1px solid #a6ca8a;
}
.warning {
    background:#fff8c4 url('warning.png') no-repeat 10px 50%;
    border:1px solid #f2c779;
}
.notice {
    background:#e3f7fc url('notice.png') no-repeat 10px 50%;
    border:1px solid #8ed9f6;
}

.container{
  margin-top: 20px;
}